function init(hero) {
    hero.setName("Soldier Boy/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("The Boys");
    hero.setTier(3);
    
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:rip_hunters_gun");

    hero.addPowers("uhp:vought_soldier_boy", "uhp:vought_produced_shield");
	
    hero.addAttribute("FALL_RESISTANCE", 5.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 7.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.5, 0);	
    hero.addAttribute("SPRINT_SPEED", 0.55, 1);

    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("SHIELD", "Toggle Shield", 1);
   
    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
	
    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function shieldProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 9.0, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}

function hasPermission(entity, permission) {
    return permission == "USE_RIPS_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun";
}